Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client
Class AbstractGinModule

    java.lang.Object
      com.google.gwt.inject.client.AbstractGinModule

All Implemented Interfaces:
  GinModule

    public abstract class AbstractGinModule

extends java.lang.Object
implements GinModule

GIN counterpart of Guice's `AbstractModule`.

Constructor Summary
`AbstractGinModule()`

Method Summary
`protected
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(java.lang.Class<T> clazz)`
`protected
`<T> GinLinkedBindingBuilder<T>`
` | `bind(Key<T> key)`
`protected
`<T> GinAnnotatedBindingBuilder<T>`
` | `bind(TypeLiteral<T> type)`
`protected GinAnnotatedConstantBindingBuilder` | `bindConstant()`
`protected GinBinder` | `binder()`
`protected abstract void` | `configure()`
`void` | `configure(GinBinder binder)`
`protected void` | `install(GinModule install)`
`protected void` | `requestStaticInjection(java.lang.Class<?>... types)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGinModule

    public AbstractGinModule()

Method Detail

### configure

    public final void configure(GinBinder binder)

  Specified by:
    `configure` in interface `GinModule`

### configure

    protected abstract void configure()

### bind

    protected final <T> GinAnnotatedBindingBuilder<T> bind(java.lang.Class<T> clazz)

### bind

    protected final <T> GinAnnotatedBindingBuilder<T> bind(TypeLiteral<T> type)

### bind

    protected final <T> GinLinkedBindingBuilder<T> bind(Key<T> key)

### bindConstant

    protected final GinAnnotatedConstantBindingBuilder bindConstant()

### install

    protected final void install(GinModule install)

### requestStaticInjection

    protected void requestStaticInjection(java.lang.Class<?>... types)

### binder

    protected GinBinder binder()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD